<?php get_header();

$OnOffNextPrevPost = get_theme_mod('firnera_lite_customizer_next_prev_post_on_or_off','1');

 ?>
<div id="firnera-main">
<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
<article <?php post_class('firnera-single'); ?>>
<div class="firnera-single-thumbnail-full">
<?php the_post_thumbnail('full'); ?>
</div>
		<h2 class="firnera-posttitle">
		<?php the_title(); ?>
		</h2>
		<ul class="firnera-metaPost">
			<li><i class="fa fa-user"></i><?php the_author_posts_link();?></li>
			<li><i class="fa fa-folder-open"></i><?php the_category(', '); ?></li>
			<li><i class="fa fa-calendar-o"></i><?php echo get_the_date();?></li>
			<li><i class="fa fa-comments"></i><?php comments_popup_link(__('No Comments','firnera-lite'), __('1 Comment','firnera-lite'), __('% Comments','firnera-lite'), 'firnera-commentsLink');?></li>
			<li><?php edit_post_link(__('Edit Post','firnera-lite'),' <i class="fa fa-edit"></i>','');?></li>
		</ul><!-- end metaPosts -->
		<?php if(!empty($post->post_excerpt)) { ?>
		<div id="firnera-postExcerpt">
		<?php the_excerpt();  ?>
		</div><!-- end postExcerpt -->
		<?php } ?>
		<div class="clear"></div>
<div id="firnera-entry-container">
		<div class="firnera-entry">
		<?php 

	
		//CONTENT
		the_content();
		
		//PAGE LINKS
		if ( !post_password_required() ) {
			wp_link_pages(array('before' => '<p class="postPages">'.__('Pages:','firnera-lite').' ', 
			'after' => '</p>','pagelink' => '<span>%</span>'
			));
			} 
		?>	
		<div class="clear"></div>
		</div><!-- end entry -->
</div><!-- end entrycontainter -->
		<?php if ( !post_password_required() ) { ?>
		<ul id="firnera-metaPost">  
			<li><i class="fa fa-calendar-o"></i><?php echo esc_html__('Published On :','firnera-lite');?> <?php echo human_time_diff(get_the_time('U'), current_time('timestamp')) . ' '. esc_html__('ago on','firnera-lite').' '; echo get_the_date(); ?></li> 
       		<li><i class="fa fa-user"></i><?php echo esc_html__('Author By :','firnera-lite');?> <?php the_author_posts_link();?></li>
       		<li><i class="fa fa-edit"></i><?php echo esc_html__('Last Updated :','firnera-lite');?> <?php the_modified_time('F j, Y @ g:i a'); ?></li>  
       		<li><i class="fa fa-folder-open"></i><?php echo esc_html__('In The Categories Of :','firnera-lite');?> <?php the_category(', '); ?></li>
        	<li><i class="fa fa-tag"></i><?php the_tags(__('Tagged With : ','firnera-lite'));?></li>
        </ul><!-- end metaPost bottom -->	
        <?php } 
		
		if($OnOffNextPrevPost) {
			get_template_part( '/template-part/next-prev-post' ); 
		}
		if ( !post_password_required() ) { ?>
		<div id="firnera-bioAuthor">
        	<h3><?php echo esc_html__('About the author','firnera-lite');?></h3>
        	<?php echo get_avatar( $post->post_author, 76 ); ?>
        	<h4><?php the_author_posts_link();?></h4>
        	<?php 
        	if ( get_the_author_meta('position')) { echo '<p class="positionTitle">'. get_the_author_meta('position').'</p>';}
        	if ( get_the_author_meta('description')) { echo '<p class="bioAuthorP">'. get_the_author_meta('description').'</p>';} 
        	?>
			<p id="bioLink"><a href="<?php echo esc_url(get_author_posts_url(get_the_author_meta( 'ID' ))); ?>"><?php echo esc_html__('View all articles by','firnera-lite');?> <?php the_author_meta('display_name'); ?>  &raquo;</a></p>
		</div><!--end bioAuthor--> 
		<?php }?>
		<div id="firnera-commentsection">
			<?php comments_template(); ?>
        </div><!--end commentsection-->
</article<!-- End Post class-->
<?php 
	endwhile; 
	
	endif;        		

?>
</div><!-- end main -->';
<?php
 get_sidebar();

 get_footer();
?>