<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="initial-scale=1.0,width=device-width" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<?php wp_head(); ?>
</head>
<body id="firnera-body"  <?php body_class();?>>
<div id="firnera_wrapbody">
<div id="firnera_wrap">		
<header id="firnera-header-primary">
		<div id="firnera-titlesites">
			<div class="firnera-titlesites">
				<h1><a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php echo esc_html( bloginfo('name') ); ?></a></h1>
					<h3><?php echo esc_html( bloginfo( 'description' ) ); ?></h3>
			</div>
			<div class="clear"></div>
		</div><!-- end titlesite and description -->
			<div class="clear"></div>
			<div id="firnera-logos">		
				<div class="firnera-site-brand">
				<?php if ( has_custom_logo() ) {  
					the_custom_logo(); 
				} ?>
				</div>
			</div>	
			<div class="clear"></div>
				<?php if (has_nav_menu( 'firnera-main' ) ) {
					wp_nav_menu(array(
						'theme_location' => 'firnera-main',
						'container' => 'nav',
						'container_id' => 'firnera-navigation',
						'menu_id' => 'firnera-Primary-Menu'
						)); 
						} 
						
						?><!-- Primary Menu -->
			<div class="clear"></div>
</header><!-- end header -->
<div id="firnera-content">
		<?php get_sidebar( 'after-menu' ); ?>